(ns clojsa.handler
  (:require [clojsa.views :refer [index-page thread-page]]
            [compojure.core :refer :all]
            [compojure.route :as route]
            [ring.middleware.defaults :refer [wrap-defaults site-defaults]]
            [ring.middleware.session :refer [wrap-session]]
            [ring.middleware.session.cookie :refer (cookie-store)]))

(defroutes app-routes
  (GET "/" request (index-page request))
  (GET "/thread/:id" [id page]
       (thread-page (Integer/parseInt id) (Integer/parseInt page)))
  (route/not-found "Not Found"))

(def app
  (-> app-routes
      (wrap-defaults site-defaults)
      (wrap-session {:cookie-attrs {:max-age 3600}
                     :store (cookie-store {:key "12345678abcdefgh"})})))
